Bug 915092

Summary: F18 func -- funcd: No such file or directory
Product: [Fedora] Fedora Reporter: René Genz <liebundartig>
Component: funcAssignee: Steve Salevan <steve.salevan>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 22CC: alikins, brett.lentz, redhat-bugzilla, steve.salevan
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: func-0.30-8.fc23 func-0.30-8.fc22 func-0.30-8.fc24 func-0.30-8.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-04 18:53:18 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description René Genz 2013-02-24 19:04:17 UTC
Description of problem:
during installation of func package on F18 there is an error message.
after restart of computer funcd will not be started automatically

Version-Release number of selected component (if applicable):
func-0.30-1.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1.install F18
2.su -c 'yum -y install func'
  
Actual results:
...
  Installing : func-0.30-1.fc18.noarch                    1/1 
error reading information on service funcd: No such file or directory
  Verifying  : func-0.30-1.fc18.noarch                    1/1 


Expected results:
fix the RPM so no error message is printed.

Additional info:
$ rpm -ql func | grep funcd.service
/usr/lib/systemd/system/funcd.service

seems like the path to the service file is wrong.

Comment 1 René Genz 2013-02-25 20:10:25 UTC
after digging through the rpm file:
func-0.30-1.fc18.noarch.rpm/rpm://INFO/SCRIPTS/POSTIN line 12-13:

elif [ -x /sbin/chkconfig ]; then 
  /sbin/chkconfig --add funcd


seems to be the culprit.
/sbin/chkconfig --add funcd
creates exactly the above error message

/sbin/chkconfig funcd on
is accepted by systemd and creates the appropriate links


systemctl enable funcd.service
would work as well for another elif case

Comment 2 Fedora End Of Life 2013-12-21 11:41:26 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2014-02-05 19:28:07 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 René Genz 2014-02-06 20:29:47 UTC
still present on Fedora 20 x86_64

Comment 5 Fedora End Of Life 2015-05-29 08:54:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 René Genz 2015-05-29 19:45:57 UTC
still present in Fedora 22 x86_64 with func-0.30-5.fc21.noarch

Comment 7 Fedora Update System 2016-04-25 23:23:39 UTC
func-0.30-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56dd3b87e9

Comment 8 Fedora Update System 2016-04-26 07:50:12 UTC
func-0.30-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-855265e137

Comment 9 Fedora Update System 2016-04-26 07:51:05 UTC
func-0.30-8.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1365732a26

Comment 10 Fedora Update System 2016-04-26 07:52:08 UTC
func-0.30-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-200f38df7c

Comment 11 Fedora Update System 2016-04-26 16:22:24 UTC
func-0.30-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-855265e137

Comment 12 Fedora Update System 2016-04-27 01:19:07 UTC
func-0.30-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56dd3b87e9

Comment 13 Fedora Update System 2016-04-27 01:20:58 UTC
func-0.30-8.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1365732a26

Comment 14 Fedora Update System 2016-04-27 01:21:31 UTC
func-0.30-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-200f38df7c

Comment 15 Fedora Update System 2016-05-04 18:53:03 UTC
func-0.30-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-05-05 01:22:29 UTC
func-0.30-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-05-07 11:51:44 UTC
func-0.30-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-13 06:27:06 UTC
func-0.30-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.